this doesn't even work

Post Reply
azinulbizar
Posts: 13
Joined: Fri Aug 10, 2012 11:25 pm

this doesn't even work

Post by azinulbizar » Sun Aug 12, 2012 6:31 am

I cannot get the 2.x versions, 32 or 64 bits, to install let alone compile. And the system won't work on 1.1.1?

User avatar
Vadi
Posts: 4732
Joined: Sat Mar 14, 2009 3:13 pm

Re: this doesn't even work

Post by Vadi » Sun Aug 12, 2012 6:44 am

What computer OS are you using?

azinulbizar
Posts: 13
Joined: Fri Aug 10, 2012 11:25 pm

Re: this doesn't even work

Post by azinulbizar » Sun Aug 12, 2012 3:38 pm

Slackware 13.37 x86_64
Linux 2.6.37.6 SMP

azinulbizar
Posts: 13
Joined: Fri Aug 10, 2012 11:25 pm

Re: this doesn't even work

Post by azinulbizar » Sun Aug 12, 2012 7:18 pm

ha, I finally managed to get the 2.0 rc4 x64 client to work, but I get this error and there's virtually no functionality. Though, I can log in, I cannot create aliases (I mean _no_ functionality). I was sure I had all the deps met, I guess there are different versions?

ERROR ] cannot find Lua module rex_pcre. Some functions may not be available.Lua error:[string
"require "rex_pcre""]:1: module 'rex_pcre' not found:
no field package.preload['rex_pcre']
no file './rex_pcre.lua'
no file '/usr/share/luajit-2.0.0-beta9/rex_pcre.lua'
no file '/usr/local/share/lua/5.1/rex_pcre.lua'
no file '/usr/local/share/lua/5.1/rex_pcre/init.lua'
no file '/usr/share/lua/5.1/rex_pcre.lua'
no file '/usr/share/lua/5.1/rex_pcre/init.lua'
no file './rex_pcre.so'
no file '/usr/local/lib/lua/5.1/rex_pcre.so'
no file '/usr/lib/x86_64-linux-gnu/lua/5.1/rex_pcre.so'
no file '/usr/lib/lua/5.1/rex_pcre.so'
no file '/usr/local/lib/lua/5.1/loadall.so'
no file '/usr/lib/lua/5.1/rex_pcre.so'
no file '/usr/lib/x86_64-linux-gnu/lua/5.1/rex_pcre.so'
[ ERROR ] cannot find Lua module zipLua error:[string "require "rex_pcre""]:1: module 'rex_pcre'
not found:
no field package.preload['rex_pcre']
no file './rex_pcre.lua'
no file '/usr/share/luajit-2.0.0-beta9/rex_pcre.lua'
no file '/usr/local/share/lua/5.1/rex_pcre.lua'
no file '/usr/local/share/lua/5.1/rex_pcre/init.lua'
no file '/usr/share/lua/5.1/rex_pcre.lua'
no file '/usr/share/lua/5.1/rex_pcre/init.lua'
no file './rex_pcre.so'
no file '/usr/local/lib/lua/5.1/rex_pcre.so'
no file '/usr/lib/x86_64-linux-gnu/lua/5.1/rex_pcre.so'
no file '/usr/lib/lua/5.1/rex_pcre.so'
no file '/usr/local/lib/lua/5.1/loadall.so'
no file '/usr/lib/lua/5.1/rex_pcre.so'
no file '/usr/lib/x86_64-linux-gnu/lua/5.1/rex_pcre.so'
[ ERROR ] cannot find Lua module lfs (Lua File System).Lua error:[string "require "rex_pcre""]:1:
module 'rex_pcre' not found:
no field package.preload['rex_pcre']
no file './rex_pcre.lua'
no file '/usr/share/luajit-2.0.0-beta9/rex_pcre.lua'
no file '/usr/local/share/lua/5.1/rex_pcre.lua'
no file '/usr/local/share/lua/5.1/rex_pcre/init.lua'
no file '/usr/share/lua/5.1/rex_pcre.lua'
no file '/usr/share/lua/5.1/rex_pcre/init.lua'
no file './rex_pcre.so'
no file '/usr/local/lib/lua/5.1/rex_pcre.so'
no file '/usr/lib/x86_64-linux-gnu/lua/5.1/rex_pcre.so'
no file '/usr/lib/lua/5.1/rex_pcre.so'
no file '/usr/local/lib/lua/5.1/loadall.so'
no file '/usr/lib/lua/5.1/rex_pcre.so'
no file '/usr/lib/x86_64-linux-gnu/lua/5.1/rex_pcre.so'
[ ERROR ] cannot find Lua module luasql.sqlite3. Database support will not be available.Lua
error:[string "require "rex_pcre""]:1: module 'rex_pcre' not found:
no field package.preload['rex_pcre']
no file './rex_pcre.lua'
no file '/usr/share/luajit-2.0.0-beta9/rex_pcre.lua'
no file '/usr/local/share/lua/5.1/rex_pcre.lua'
no file '/usr/local/share/lua/5.1/rex_pcre/init.lua'
no file '/usr/share/lua/5.1/rex_pcre.lua'
no file '/usr/share/lua/5.1/rex_pcre/init.lua'
no file './rex_pcre.so'
no file '/usr/local/lib/lua/5.1/rex_pcre.so'
no file '/usr/lib/x86_64-linux-gnu/lua/5.1/rex_pcre.so'
no file '/usr/lib/lua/5.1/rex_pcre.so'
no file '/usr/local/lib/lua/5.1/loadall.so'
no file '/usr/lib/lua/5.1/rex_pcre.so'
no file '/usr/lib/x86_64-linux-gnu/lua/5.1/rex_pcre.so'

User avatar
kevutian
Posts: 217
Joined: Fri Aug 20, 2010 8:18 pm
Location: United Kingdom
Contact:

Re: this doesn't even work

Post by kevutian » Sun Aug 12, 2012 7:41 pm

You need lrexlib amongst a few others. Seems that is not available from the main Slack repo, so grab the sources and build.

http://rrthomas.github.com/lrexlib/

Check the errors in your post. Grab the source and build.

Post Reply

Who is online

Users browsing this forum: No registered users and 7 guests